org.scalatest.verb

# BehaveWord

#### class BehaveWord extends AnyRef

Class that supports shared test registration via instances referenced from the `behave` field of `Spec`s, `FlatSpec`s, and `WordSpec`s as well as instance of their sister traits, `FixtureSpec`, `FixtureFlatSpec`, and `FixtureWordSpec`.

This class, via the `behave` field, enables syntax such as the following in `Spec`s, `FlatSpec`s, `FixtureSpec`s, and `FixtureFlatSpecs`:

    it should behave like nonFullStack(stackWithOneItem)
              ^

It also enables syntax such as the following syntax in `WordSpec`s and `FixtureWordSpec`s:

    behave like nonEmptyStack(lastValuePushed)
    ^

For more information and examples of the use of <cod>behave, see the Shared tests section in the main documentation for trait `Spec`, `FlatSpec`, or `WordSpec`.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. BehaveWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BehaveWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def like (unit: Unit): Unit

    Supports the registration of shared tests.

    Supports the registration of shared tests.

    This method enables syntax such as the following in `Spec`s, `FlatSpec`s, `FixtureSpec`s, and `FixtureFlatSpecs`:

        it should behave like nonFullStack(stackWithOneItem)
                         ^

    It also enables syntax such as the following syntax in `WordSpec`s and `FixtureWordSpec`s:

        behave like nonEmptyStack(lastValuePushed)
        ^

    This method just provides syntax sugar intended to make the intent of the code clearer. Because the parameter passed to it is type `Unit`, the expression will be evaluated before being passed, which is sufficient to register the shared tests. For more information and examples of the use of <cod>behave, see the Shared tests section in the main documentation for trait `Spec`, `FlatSpec`, or `WordSpec`.

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def toString (): String

    Definition Classes
      AnyRef → Any

20. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any